package com.yd.dal.service.marketing;

import com.yd.dal.entity.marketing.MktLeadsGoalsActions;

import java.util.List;

public interface MktLeadsGoalsActionsDALService {
    void save(MktLeadsGoalsActions mktLeadsGoalsActions);

    void updateIsActiveIsNull(Long practitionerId, int year,Integer goalsType);

    List<MktLeadsGoalsActions> findByMktLeadsGoalsActions(MktLeadsGoalsActions mktLeadsGoalsActions);

    List<MktLeadsGoalsActions> findTeamGoalsMonth(Long practitionerId, int year);
}
